Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.tomcat.jndi
Class ENCFactory

    java.lang.Object
      org.jboss.naming.ENCFactory
          org.jboss.embedded.tomcat.jndi.ENCFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class ENCFactory

extends org.jboss.naming.ENCFactory

We look to see if a threadlocal tag is set, if so, just use JBoss java:comp resolving. If it is not set, then obtain a reference to "java:" and lookup "comp"

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Constructor Summary
`ENCFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`
`static void` | `rebindComp(javax.naming.Context jbossContext)` Convience function.

Methods inherited from class org.jboss.naming.ENCFactory
`createContext, getCurrentId, getEncById, getIdStack, getTopClassLoader, popContextId, pushContextId, setTopClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENCFactory

    public ENCFactory()

Method Detail

### rebindComp

    public static void rebindComp(javax.naming.Context jbossContext)
                           throws javax.naming.NamingException

  Convience function. Rebinds java:comp to this class just in case an existing jboss configuration already bound java:comp. This is so we don't have to have multiple copies of jboss configuration files.

  Parameters:
    `jbossContext` -
  Throws:
    `javax.naming.NamingException`

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Overrides:
    `getObjectInstance` in class `org.jboss.naming.ENCFactory`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD